# Create a custom field

`POST https://api.cademi.com.br/api/v3/settings/user-profile/custom-fields`

Operation ID: `custom_fields.create` · API v3

Creates a custom field definition for user profiles in the current account.

Required permissions: `custom_fields.create`.

## Request body

Content type: `application/json`, required.

| Field | Type | Required | Description |
|---|---|---|---|
| `label` | string | yes |  |
| `position` | integer | no |  |
| `required` | boolean | no |  |
| `type` | string, one of `text`, `number`, `date` | yes |  |

## Responses

### 201

Returns the newly created custom field. The Location header contains the URL of the new resource.

Body: `data`: CustomField.

Fields of CustomField:

| Field | Type | Required | Description |
|---|---|---|---|
| `created_at` | string (date-time) | yes |  |
| `id` | string | yes |  |
| `label` | string | yes |  |
| `object` | string, one of `custom_field` | yes |  |
| `position` | integer | yes |  |
| `required` | boolean | yes |  |
| `revision` | string | yes |  |
| `type` | string, one of `text`, `number`, `date` | yes |  |
| `updated_at` | string (date-time) | yes |  |

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 422

The request body or query parameters failed validation.

Body: ValidationFailed.

Full schema: https://cademi.dev/openapi/v3.json
